/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.9-dev10
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', process.cwd()+'/src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require(process.cwd()+'/src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.ftclient);
  }
}(this, function(expect, ftclient) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new ftclient.TradingApi();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('TradingApi', function() {
    describe('forcebuyApiV1ForcebuyPost', function() {
      it('should call forcebuyApiV1ForcebuyPost successfully', function(done) {
        //uncomment below and update the code to test forcebuyApiV1ForcebuyPost
        //instance.forcebuyApiV1ForcebuyPost(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('forcesellApiV1ForcesellPost', function() {
      it('should call forcesellApiV1ForcesellPost successfully', function(done) {
        //uncomment below and update the code to test forcesellApiV1ForcesellPost
        //instance.forcesellApiV1ForcesellPost(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('tradeApiV1TradeTradeidGet', function() {
      it('should call tradeApiV1TradeTradeidGet successfully', function(done) {
        //uncomment below and update the code to test tradeApiV1TradeTradeidGet
        //instance.tradeApiV1TradeTradeidGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('tradesApiV1TradesGet', function() {
      it('should call tradesApiV1TradesGet successfully', function(done) {
        //uncomment below and update the code to test tradesApiV1TradesGet
        //instance.tradesApiV1TradesGet(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
    describe('tradesDeleteApiV1TradesTradeidDelete', function() {
      it('should call tradesDeleteApiV1TradesTradeidDelete successfully', function(done) {
        //uncomment below and update the code to test tradesDeleteApiV1TradesTradeidDelete
        //instance.tradesDeleteApiV1TradesTradeidDelete(function(error) {
        //  if (error) throw error;
        //expect().to.be();
        //});
        done();
      });
    });
  });

}));
